# ParadisEO-MOMovingObjects: moMoveSelect< M > Class Template Reference

# moMoveSelect< M > Class Template Reference

Class that describes a move selector (moMove). More...

`#include <moMoveSelect.h>`

Inheritance diagram for moMoveSelect< M >:

List of all members.

## Public Types

typedef M::EOType::Fitness | Fitness
| Alias for the fitness.

## Public Member Functions

virtual void | init (const Fitness &_fitness)=0
| Procedure which initialises all that the move selector needs including the initial fitness.
virtual bool | update (const M &_move, const Fitness &_fitness)=0
| Function which updates the best solutions.

## Detailed Description

### template<class M>
class moMoveSelect< M >

Class that describes a move selector (moMove).

It iteratively considers some moves (moMove) and their associated fitnesses. The best move is so regularly updated. At any time, it could be accessed.

Definition at line 50 of file moMoveSelect.h.

## Member Function Documentation

template<class M>

virtual void moMoveSelect< M >::init | ( | const Fitness & | _fitness | ) | `[pure virtual]`

Procedure which initialises all that the move selector needs including the initial fitness.

In order to know the fitness of the solution, for which the neighborhood will be soon explored

Parameters:

  | _fitness | the current fitness.

Implemented in moBestImprSelect< M >, moFirstImprSelect< M >, and moRandImprSelect< M >.

template<class M>

virtual bool moMoveSelect< M >::update | ( | const M & | _move,
|  | const Fitness & | _fitness |
| ) |  |  | `[pure virtual]`

Function which updates the best solutions.

Parameters:

  | _move | a new move.
  | _fitness | a fitness linked to the new move.

Returns:
  a boolean that expresses the need to resume the exploration.

Implemented in moBestImprSelect< M >, moFirstImprSelect< M >, and moRandImprSelect< M >.

The documentation for this class was generated from the following file:

- moMoveSelect.h